/**
 * Write a description of class Tile here.
 * 
 * @author Taylor Born
 * @version May 2010
 */
import java.util.*;
public class Tile  
{
    private int ID;
    private String closed = "";
    private String tunnels = "";
    private boolean empty;
    private boolean block;
    private int direction = -1;
    private boolean bonus;

    public Tile(int n)
    {
        ID = n;
    }
    public Tile()
    {
        empty = true;
    }
    public int getID()
    {
        return ID;
    }
    public void setID(int n)
    {
        ID = n;
        empty = false;
    }
    public void giveBlock()
    {
        block = true;
    }
    public boolean hasBlock()
    {
        return block;
    }
    public String getClosed()
    {
        return closed;
    }
    public void close(int dir)
    {
        if (ID != 6)
            closed += "hv";
        else
            if (dir == 0 || dir == 2)
                closed += "v";
            else
                closed += "h";
    }
    public void addTunnels(String tunnel)
    {
        tunnels += tunnel;
    }
    public String getTunnels()
    {
        return tunnels;
    }
    public void removeTunnels()
    {
        tunnels = "";
    }
    public boolean isEmpty()
    {
        return empty;
    }
    public void setEmpty()
    {
        empty = true;
    }
    public void giveDirection(int r)
    {
        if (ID == 0)
        {
            if (r == 0)
                direction = 3;
            else
                direction = 1;
        }
        else if (ID == 1)
        {
            if (r == 0)
                direction = 0;
            else
                direction = 2;
        }
        else if (ID == 2)
        {
            if (r == 0)
                direction = 2;
            else
                direction = 1;
        }
        else if (ID == 3)
        {
            if (r == 0)
                direction = 3;
            else
                direction = 2;
        }
        else if (ID == 4)
        {
            if (r == 0)
                direction = 0;
            else
                direction = 3;
        }
        else if (ID == 5)
        {
            if (r == 0)
                direction = 1;
            else
                direction = 0;
        }
    }
    public void setDirection(int n)
    {
        direction = n;
    }
    public int getDirection()
    {
        return direction;
    }
    public void giveBonus()
    {
        bonus = true;
    }
    public boolean hasBonus()
    {
        return bonus;
    }
}