import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
/**
 * Write a description of class Button here.
 * 
 * @author Taylor Born
 * @version May 2010
 */
public class Button  extends Actor
{
    private GreenfootImage pic;
    private boolean hover;
    
    public Button(GreenfootImage p) 
    {
        pic = p;
        setImage(p);
    }
    public void act()
    {
        MouseInfo mouse = Greenfoot.getMouseInfo();
        if (Greenfoot.mouseMoved(this))
        {
            if (!hover)
            {
                GreenfootImage p = new GreenfootImage(pic);
                p.setTransparency(150);
                setImage(p);
            }
            hover = true;
        }
        else if (Greenfoot.mouseMoved(null))
        {
            if (hover)
            {
                GreenfootImage p = new GreenfootImage(pic);
                setImage(pic);
            }
            hover = false;
        }
    }
    protected void addedToWorld(World world)
    {
        GreenfootImage p = new GreenfootImage(pic);
        setImage(pic);
        hover = false;
    }
}