import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
/**
 * Write a description of class ControlBox here.
 * 
 * @author Taylor Born
 * @version May 2010
 */
import java.util.*;
import java.awt.Color;
import java.io.*;
public class ControlBox  extends Actor
{
    private Tile[][] tiles;
    private Queue q;
    private GreenfootImage v = new GreenfootImage("v.png");
    private GreenfootImage h = new GreenfootImage("h.png");
    private GreenfootImage vA = new GreenfootImage("vA.png");
    private GreenfootImage vB = new GreenfootImage("vB.png");
    private GreenfootImage hA = new GreenfootImage("hA.png");
    private GreenfootImage hB = new GreenfootImage("hB.png");
    private GreenfootImage vF = new GreenfootImage("vF.png");
    private GreenfootImage hF = new GreenfootImage("hF.png");
    private GreenfootImage turn0 = new GreenfootImage("0.png");
    private GreenfootImage turn1 = new GreenfootImage("1.png");
    private GreenfootImage turn2 = new GreenfootImage("2.png");
    private GreenfootImage turn3 = new GreenfootImage("3.png");
    private GreenfootImage turn0A = new GreenfootImage("0A.png");
    private GreenfootImage turn0B = new GreenfootImage("0B.png");
    private GreenfootImage turn1A = new GreenfootImage("1A.png");
    private GreenfootImage turn1B = new GreenfootImage("1B.png");
    private GreenfootImage turn2A = new GreenfootImage("2A.png");
    private GreenfootImage turn2B = new GreenfootImage("2B.png");
    private GreenfootImage turn3A = new GreenfootImage("3A.png");
    private GreenfootImage turn3B = new GreenfootImage("3B.png");
    private GreenfootImage turn0F = new GreenfootImage("0F.png");
    private GreenfootImage turn1F = new GreenfootImage("1F.png");
    private GreenfootImage turn2F = new GreenfootImage("2F.png");
    private GreenfootImage turn3F = new GreenfootImage("3F.png");
    private GreenfootImage cross = new GreenfootImage("c.png");
    private GreenfootImage crossV = new GreenfootImage("crossV.png");
    private GreenfootImage crossVF = new GreenfootImage("crossVF.png");
    private GreenfootImage crossVA = new GreenfootImage("crossVA.png");
    private GreenfootImage crossVB = new GreenfootImage("crossVB.png");
    private GreenfootImage s0 = new GreenfootImage("s0.png");
    private GreenfootImage s1 = new GreenfootImage("s1.png");
    private GreenfootImage s2 = new GreenfootImage("s2.png");
    private GreenfootImage s3 = new GreenfootImage("s3.png");
    private GreenfootImage s0F = new GreenfootImage("s0F.png");
    private GreenfootImage s1F = new GreenfootImage("s1F.png");
    private GreenfootImage s2F = new GreenfootImage("s2F.png");
    private GreenfootImage s3F = new GreenfootImage("s3F.png");
    private GreenfootImage s0A = new GreenfootImage("s0A.png");
    private GreenfootImage s1A = new GreenfootImage("s1A.png");
    private GreenfootImage s2A = new GreenfootImage("s2A.png");
    private GreenfootImage s3A = new GreenfootImage("s3A.png");
    private GreenfootImage shadow = new GreenfootImage("shadow.png");
    private GreenfootImage meter = new GreenfootImage("meter.png");
    private GreenfootImage block = new GreenfootImage("block.png");
    private GreenfootImage vUP = new GreenfootImage("vUP.png");
    private GreenfootImage vDOWN = new GreenfootImage("vDOWN.png");
    private GreenfootImage hLEFT = new GreenfootImage("hLEFT.png");
    private GreenfootImage hRIGHT = new GreenfootImage("hRIGHT.png");
    private GreenfootImage right0 = new GreenfootImage("0RIGHT.png");
    private GreenfootImage down0 = new GreenfootImage("0DOWN.png");
    private GreenfootImage left1 = new GreenfootImage("1LEFT.png");
    private GreenfootImage down1 = new GreenfootImage("1DOWN.png");
    private GreenfootImage up2 = new GreenfootImage("2UP.png");
    private GreenfootImage left2 = new GreenfootImage("2LEFT.png");
    private GreenfootImage right3 = new GreenfootImage("3RIGHT.png");
    private GreenfootImage up3 = new GreenfootImage("3UP.png");
    private GreenfootImage vOval = new GreenfootImage("vOval.png");
    private GreenfootImage vOvalA = new GreenfootImage("vOvalA.png");
    private GreenfootImage vOvalB = new GreenfootImage("vOvalB.png");
    private GreenfootImage vOvalF = new GreenfootImage("vOvalF.png");
    private GreenfootImage hOval = new GreenfootImage("hOval.png");
    private GreenfootImage hOvalA = new GreenfootImage("hOvalA.png");
    private GreenfootImage hOvalB = new GreenfootImage("hOvalB.png");
    private GreenfootImage hOvalF = new GreenfootImage("hOvalF.png");
    private int direction;
    private int x;
    private int y;
    private int step;
    private boolean lost;
    private boolean won;
    private int start;
    private int count;
    private int score;
    private int crossed;
    private int trigger;
    private int trigX;
    private int trigY;
    private Tile end;
    private GreenfootImage end0 = new GreenfootImage("end0.png");
    private GreenfootImage end1 = new GreenfootImage("end1.png");
    private GreenfootImage end2 = new GreenfootImage("end2.png");
    private GreenfootImage end3 = new GreenfootImage("end3.png");
    private float fast;
    private int level;
    private boolean menu = true;
    private GreenfootImage tile = new GreenfootImage("title.png");
    private Button btnNew = new Button(new GreenfootImage("btnNew.png"));
    private Button btnNext = new Button(new GreenfootImage("btnNext.png"));
    private Button btnMenu = new Button(new GreenfootImage("btnMenu.png"));
    private boolean bonusGame;
    private static final int CODE_ID = 19;
    
    public ControlBox()
    {
        loadMenu();
        act();
    }
    public void loadMenu()
    {
        step = 30;
        end = null;
        lost = false;
        won = false;
        fast = 1;
        trigger = 1;
        trigX = 0;
        trigY = 0;
        tiles = new Tile[7][10];
        for (int i = 0; i < tiles.length; i++)
            for (int k = 0; k < tiles[0].length; k++)
                tiles[i][k] = new Tile();
        x = 4;
        y = 1;
        direction = 1;
        tiles[y][x] = new Tile(-direction - 1);
        count = 36;
        tiles[1][5].setID(0);
        tiles[1][6].setID(5);
        tiles[2][6].setID(8);
        tiles[3][6].setID(2);
        tiles[3][5].setID(0);
        tiles[3][4].setID(4);
        tiles[4][4].setID(6);
        tiles[5][4].setID(3);
        tiles[5][5].setID(5);
        tiles[6][5].setID(3);
        tiles[6][6].setID(0);
        tiles[6][7].setID(0);
        tiles[6][8].setID(2);
        tiles[5][8].setID(1);
        tiles[4][8].setID(5);
        tiles[4][7].setID(0);
        tiles[4][6].setID(0);
        tiles[4][5].setID(0);
        tiles[4][3].setID(0);
        tiles[4][2].setID(6);
        tiles[4][1].setID(4);
        tiles[5][1].setID(6);
        tiles[6][1].setID(2);
        tiles[6][0].setID(3);
        tiles[5][0].setID(4);
        tiles[5][2].setID(2);
        tiles[3][2].setID(1);
        tiles[2][2].setID(5);
        tiles[2][1].setID(0);
        tiles[2][0].setID(3);
        tiles[1][0].setID(4);
        tiles[1][1].setID(0);
        tiles[1][2].setID(0);
    }
    public void loadLevel()
    {
        step = -1000 - level * 50;
        end = null;
        lost = false;
        won = false;
        crossed = 0;
        fast = 1;
        trigger = 1;
        trigX = 0;
        trigY = 0;
        start = 8 + level * 2;
        count = 8 + level * 2;
        tiles = new Tile[7][10];
        for (int i = 0; i < tiles.length; i++)
            for (int k = 0; k < tiles[0].length; k++)
                tiles[i][k] = new Tile();
        try
        {
            BufferedReader br = new BufferedReader(new InputStreamReader(getClass().getClassLoader().getResource("levels.txt").openStream()));
            String str = br.readLine();
            for (int i = 0; i < level; i++)
                str = br.readLine();
            x = Integer.parseInt(str.substring(0, str.indexOf(",")));
            str = str.substring(str.indexOf(",") + 1);
            y = Integer.parseInt(str.substring(0, str.indexOf(",")));
            str = str.substring(str.indexOf(",") + 1);
            direction = Integer.parseInt(str.substring(0, str.indexOf(";")));
            str = str.substring(str.indexOf(";") + 1);
            while (!str.startsWith(";"))
            {
                int xx = Integer.parseInt(str.substring(0, str.indexOf(",")));
                str = str.substring(str.indexOf(",") + 1);
                int yy = Integer.parseInt(str.substring(0, str.indexOf(":")));
                tiles[yy][xx].giveBlock();
                str = str.substring(str.indexOf(":") + 1);
            }
            str = str.substring(str.indexOf(";") + 1);
            while (!str.startsWith(";"))
            {
                int xx = Integer.parseInt(str.substring(0, str.indexOf(",")));
                str = str.substring(str.indexOf(",") + 1);
                int yy = Integer.parseInt(str.substring(0, str.indexOf(",")));
                str = str.substring(str.indexOf(",") + 1);
                tiles[yy][xx].addTunnels(str.substring(0, 1));
                str = str.substring(str.indexOf(":") + 1);
            }
            str = str.substring(str.indexOf(";") + 1);
            while (!str.startsWith(";"))
            {
                int xx = Integer.parseInt(str.substring(0, str.indexOf(",")));
                str = str.substring(str.indexOf(",") + 1);
                int yy = Integer.parseInt(str.substring(0, str.indexOf(",")));
                str = str.substring(str.indexOf(",") + 1);
                if (str.substring(0, 1).equals("h"))
                    tiles[yy][xx].setID(0);
                else
                    tiles[yy][xx].setID(1);
                tiles[yy][xx].giveBonus();
                str = str.substring(str.indexOf(":") + 1);
            }
            str = str.substring(str.indexOf(";") + 1);
            while (!str.startsWith(";"))
            {
                int xx = Integer.parseInt(str.substring(0, str.indexOf(",")));
                str = str.substring(str.indexOf(",") + 1);
                int yy = Integer.parseInt(str.substring(0, str.indexOf(",")));
                str = str.substring(str.indexOf(",") + 1);
                if (str.substring(0, 1).equals("h"))
                    tiles[yy][xx].setID(7);
                else
                    tiles[yy][xx].setID(8);
                str = str.substring(str.indexOf(":") + 1);
            }
            str = str.substring(str.indexOf(";") + 1);
            if (!str.startsWith(";"))
            {
                int xx = Integer.parseInt(str.substring(0, str.indexOf(",")));
                str = str.substring(str.indexOf(",") + 1);
                int yy = Integer.parseInt(str.substring(0, str.indexOf(",")));
                str = str.substring(str.indexOf(",") + 1);
                end = tiles[yy][xx];
                end.setID(9);
                end.setDirection(Integer.parseInt(str.substring(0, str.indexOf(";"))));
            }
        }
        catch (IOException ex)
        {}
        tiles[y][x] = new Tile(-direction - 1);
        q = new LinkedList();
        for (int i = 0; i < 5; i++)
        {
            Tile newTile = new Tile(Greenfoot.getRandomNumber(7));
            if (level > 5 && Greenfoot.getRandomNumber(4) == 1 && newTile.getID() != 6)
                newTile.giveDirection(Greenfoot.getRandomNumber(2));
            q.offer(newTile);
        }
    }
    public void loadBonusGame()
    {
        step = -2500;
        end = null;
        lost = false;
        won = false;
        crossed = 0;
        fast = 1;
        trigger = 1;
        trigX = 0;
        trigY = 0;
        tiles = new Tile[7][10];
        for (int i = 0; i < tiles.length; i++)
            for (int k = 0; k < tiles[0].length; k++)
            {
                tiles[i][k] = new Tile();
                tiles[i][k].setID(Greenfoot.getRandomNumber(7));
            }
        int test = Greenfoot.getRandomNumber(4);
        if (test == 0)
        {
            x = 2;
            y = 2;
        }
        else if (test == 1)
        {
            x = 4;
            y = 3;
        }
        else if (test == 2)
        {
            x = 5;
            y = 3;
        }
        else
        {
            x = 7;
            y = 4;
        }
        direction = Greenfoot.getRandomNumber(4);
        tiles[y][x] = new Tile(-direction - 1);
        if (Greenfoot.getRandomNumber(2) == 0)
        {
            tiles[4][1].setID(7 + Greenfoot.getRandomNumber(1));
            tiles[4][1].giveBonus();
        }
        else
        {
            tiles[2][8].setID(7 + Greenfoot.getRandomNumber(1));
            tiles[2][8].giveBonus();
        }
        if (Greenfoot.getRandomNumber(2) == 0)
            tiles[4][3] = new Tile();
        else
            tiles[2][6] = new Tile();
        if (Greenfoot.getRandomNumber(2) == 0)
        {
            tiles[0][2].addTunnels("n");
            tiles[6][2].addTunnels("s");
        }
        else
        {
            tiles[0][6].addTunnels("n");
            tiles[6][6].addTunnels("s");
            tiles[0][7].addTunnels("n");
            tiles[6][7].addTunnels("s");
        }
        tiles[2][0].addTunnels("w");
        tiles[2][9].addTunnels("e");
    }
    public void act() 
    {
        MouseInfo mouse = Greenfoot.getMouseInfo();
        GreenfootImage pic = new GreenfootImage(364, 232);
        int c = count;
        if (c < 0)
            c = 0;
        int s = step;
        if ((!lost && tiles[y][x].getID() < 0) || c < 1)
            s = 0;
        if (menu)
        {
            pic.setColor(new Color(60, 60, 60));
            pic.fill();
            pic.drawImage(tile, 119, 5);
        }
        else
        {
            if (!bonusGame)
            {
                pic.drawImage(meter, 3, 23);
                if (count > 0)
                    pic.drawString(count + "", 25, 62);
                else
                    pic.drawString(0 + "", 25, 66);
                pic.setColor(Color.BLUE);
                float n = 88f;
                if (!lost && tiles[y][x].getID() > 6)
                    n = 178f;
                pic.drawLine(30, 47, 30 + (int)(Math.cos(Math.toRadians((1 - ((float)(c - (float)s / n) / (float)start)) * 180 - .5f)) * 25f), 47 - (int)(Math.sin(Math.toRadians((1 - ((float)(c - (float)s / n) / (float)start)) * 180 - .5f)) * 25f));
                pic.drawLine(30, 47, 30 + (int)(Math.cos(Math.toRadians((1 - ((float)(c - (float)s / n) / (float)start)) * 180)) * 25f), 47 - (int)(Math.sin(Math.toRadians((1 - ((float)(c - (float)s / n) / (float)start)) * 180)) * 25f));
                pic.drawLine(30, 47, 30 + (int)(Math.cos(Math.toRadians((1 - ((float)(c - (float)s / n) / (float)start)) * 180 + .5f)) * 25f), 47 - (int)(Math.sin(Math.toRadians((1 - ((float)(c - (float)s / n) / (float)start)) * 180 + .5f)) * 25f));
            }
            for (int i = 0; i < tiles.length; i++)
                for (int k = 0; k < tiles[0].length; k++)
                {
                    pic.setColor(Color.GRAY);
                    pic.drawRect(62 + k * 30, 20 + i * 30, 30, 30);
                    pic.setColor(Color.RED);
                    if (i == 0 && !tiles[0][k].getTunnels().contains("n"))
                        pic.fillRect(62 + k * 30, 18 + i * 30, 30, 3);
                    else if (i == tiles.length - 1 && !tiles[i][k].getTunnels().contains("s"))
                        pic.fillRect(62 + k * 30, 22 + i * 30 + 27, 30, 3);
                    if (k == 0 && !tiles[i][0].getTunnels().contains("w"))
                        pic.fillRect(60 + k * 30, 20 + i * 30, 3, 30);
                    else if (k == tiles[0].length - 1 && !tiles[i][k].getTunnels().contains("e"))
                        pic.fillRect(64 + k * 30 + 27, 20 + i * 30, 3, 30);
                }
        }
        for (int i = 0; i < tiles.length; i++)
            for (int k = 0; k < tiles[0].length; k++)
                if (!tiles[i][k].isEmpty())
                {
                    GreenfootImage temp = new GreenfootImage(30, 30);
                    if (bonusGame)
                        temp.drawImage(block, 0, 0);
                    if (tiles[i][k].getID() == 0)
                    {
                        if (tiles[i][k].hasBonus())
                            temp.drawImage(block, 0, 0);
                        if (i == y && k == x && !lost)
                        {
                            if (direction == 1)
                                temp.drawImage(hA, -(step / 6) * 30, 0);
                            else
                                temp.drawImage(hB, -(step / 6) * 30, 0);
                        }
                        else if (tiles[i][k].getClosed().equals(""))
                            temp.drawImage(h, 0, 0);
                        else
                            temp.drawImage(hF, 0, 0);
                        if (tiles[i][k].getDirection() == 3)
                            temp.drawImage(hLEFT, 0, 0);
                        else if (tiles[i][k].getDirection() == 1)
                            temp.drawImage(hRIGHT, 0, 0);
                    }
                    else if (tiles[i][k].getID() == 1)
                    {
                        if (tiles[i][k].hasBonus())
                            temp.drawImage(block, 0, 0);
                        if (i == y && k == x && !lost)
                        {
                            if (direction == 2)
                                temp.drawImage(vA, -(step / 6) * 30, 0);
                            else
                                temp.drawImage(vB, -(step / 6) * 30, 0);
                        }
                        else if (tiles[i][k].getClosed().equals(""))
                            temp.drawImage(v, 0, 0);
                        else
                            temp.drawImage(vF, 0, 0);
                        if (tiles[i][k].getDirection() == 0)
                            temp.drawImage(vUP, 0, 0);
                        else if (tiles[i][k].getDirection() == 2)
                            temp.drawImage(vDOWN, 0, 0);
                    }
                    else if (tiles[i][k].getID() == 2)
                    {
                        if (i == y && k == x && !lost)
                        {
                            if (direction == 2)
                                temp.drawImage(turn0A, -(step / 6) * 30, 0);
                            else
                                temp.drawImage(turn0B, -(step / 6) * 30, 0);
                        }
                        else if (tiles[i][k].getClosed().equals(""))
                            temp.drawImage(turn0, 0, 0);
                        else
                            temp.drawImage(turn0F, 0, 0);
                        if (tiles[i][k].getDirection() == 1)
                            temp.drawImage(right0, 0, 0);
                        else if (tiles[i][k].getDirection() == 2)
                            temp.drawImage(down0, 0, 0);
                    }
                    else if (tiles[i][k].getID() == 3)
                    {
                        if (i == y && k == x && !lost)
                        {
                            if (direction == 2)
                                temp.drawImage(turn1A, -(step / 6) * 30, 0);
                            else
                                temp.drawImage(turn1B, -(step / 6) * 30, 0);
                        }
                        else if (tiles[i][k].getClosed().equals(""))
                            temp.drawImage(turn1, 0, 0);
                        else
                            temp.drawImage(turn1F, 0, 0);
                        if (tiles[i][k].getDirection() == 3)
                            temp.drawImage(left1, 0, 0);
                        else if (tiles[i][k].getDirection() == 2)
                            temp.drawImage(down1, 0, 0);
                    }
                    else if (tiles[i][k].getID() == 4)
                    {
                        if (i == y && k == x && !lost)
                        {
                            if (direction == 0)
                                temp.drawImage(turn2A, -(step / 6) * 30, 0);
                            else
                                temp.drawImage(turn2B, -(step / 6) * 30, 0);
                        }
                        else if (tiles[i][k].getClosed().equals(""))
                            temp.drawImage(turn2, 0, 0);
                        else
                            temp.drawImage(turn2F, 0, 0);
                        if (tiles[i][k].getDirection() == 0)
                            temp.drawImage(up2, 0, 0);
                        else if (tiles[i][k].getDirection() == 3)
                            temp.drawImage(left2, 0, 0);
                    }
                    else if (tiles[i][k].getID() == 5)
                    {
                        if (i == y && k == x && !lost)
                        {
                            if (direction == 0)
                                temp.drawImage(turn3A, -(step / 6) * 30, 0);
                            else
                                temp.drawImage(turn3B, -(step / 6) * 30, 0);
                        }
                        else if (tiles[i][k].getClosed().equals(""))
                            temp.drawImage(turn3, 0, 0);
                        else
                            temp.drawImage(turn3F, 0, 0);
                        if (tiles[i][k].getDirection() == 1)
                            temp.drawImage(right3, 0, 0);
                        else if (tiles[i][k].getDirection() == 0)
                            temp.drawImage(up3, 0, 0);
                    }
                    else if (tiles[i][k].getID() == 6)
                    {
                        temp.drawImage(cross, 0, 0);
                        if (i == y && k == x && !lost)
                        {
                            if (tiles[i][k].getClosed().contains("h"))
                                temp.drawImage(hF, 0, 0);
                            else if (direction == 1)
                                temp.drawImage(hA, -(step / 6) * 30, 0);
                            else if (direction == 3)
                                temp.drawImage(hB, -(step / 6) * 30, 0);
                            if (tiles[i][k].getClosed().contains("v"))
                                temp.drawImage(crossVF, 0, 0);
                            else if (direction == 2)
                                temp.drawImage(crossVA, -(step / 6) * 30, 0);
                            else if (direction == 0)
                                temp.drawImage(crossVB, -(step / 6) * 30, 0);
                        }
                        else
                        {
                            if (tiles[i][k].getClosed().contains("h"))
                                temp.drawImage(hF, 0, 0);
                            if (tiles[i][k].getClosed().contains("v"))
                                temp.drawImage(crossVF, 0, 0);
                        }
                    }
                    else if (tiles[i][k].getID() == 7)
                    {
                        if (!menu)
                            temp.drawImage(block, 0, 0);
                        if (i == y && k == x && !lost)
                        {
                            if (direction == 1)
                                temp.drawImage(hOvalA, -(step / 6) * 30, 0);
                            else
                                temp.drawImage(hOvalB, -(step / 6) * 30, 0);
                        }
                        else if (tiles[i][k].getClosed().equals(""))
                            temp.drawImage(hOval, 0, 0);
                        else
                            temp.drawImage(hOvalF, 0, 0);
                    }
                    else if (tiles[i][k].getID() == 8)
                    {
                        if (!menu)
                            temp.drawImage(block, 0, 0);
                        if (i == y && k == x && !lost)
                        {
                            if (direction == 2)
                                temp.drawImage(vOvalA, -(step / 6) * 30, 0);
                            else
                                temp.drawImage(vOvalB, -(step / 6) * 30, 0);
                        }
                        else if (tiles[i][k].getClosed().equals(""))
                            temp.drawImage(vOval, 0, 0);
                        else
                            temp.drawImage(vOvalF, 0, 0);
                    }
                    else if (tiles[i][k].getID() == -1)
                    {
                        if (!menu)
                            temp.drawImage(block, 0, 0);
                        if (tiles[i][k].getClosed().equals("") && step > -1)
                            temp.drawImage(s0A, -(step / 6) * 30, 0);
                        else if (step < 0 || (step == 0 && i == y && k == x && !lost))
                            temp.drawImage(s0, 0, 0);
                        else
                            temp.drawImage(s0F, 0, 0);
                    }
                    else if (tiles[i][k].getID() == -2)
                    {
                        if (!menu)
                            temp.drawImage(block, 0, 0);
                        if (tiles[i][k].getClosed().equals("") && step > 0)
                            temp.drawImage(s1A, -(step / 6) * 30, 0);
                        else if (step < 0 || (step == 0 && i == y && k == x && !lost))
                            temp.drawImage(s1, 0, 0);
                        else
                            temp.drawImage(s1F, 0, 0);
                    }
                    else if (tiles[i][k].getID() == -3)
                    {
                        if (!menu)
                            temp.drawImage(block, 0, 0);
                        if (tiles[i][k].getClosed().equals("") && step > 0)
                            temp.drawImage(s2A, -(step / 6) * 30, 0);
                        else if (step < 0 || (step == 0 && i == y && k == x && !lost))
                            temp.drawImage(s2, 0, 0);
                        else
                            temp.drawImage(s2F, 0, 0);
                    }
                    else if (tiles[i][k].getID() == -4)
                    {
                        if (!menu)
                            temp.drawImage(block, 0, 0);
                        if (tiles[i][k].getClosed().equals("") && step > 0)
                            temp.drawImage(s3A, -(step / 6) * 30, 0);
                        else if (step < 0 || (step == 0 && i == y && k == x && !lost))
                            temp.drawImage(s3, 0, 0);
                        else
                            temp.drawImage(s3F, 0, 0);
                    }
                    else if (tiles[i][k].getID() == 9)
                    {
                        temp.drawImage(block, 0, 0);
                        if (tiles[i][k].getDirection() == 0)
                            temp.drawImage(end0, 0, 0);
                        else if (tiles[i][k].getDirection() == 1)
                            temp.drawImage(end1, 0, 0);
                        else if (tiles[i][k].getDirection() == 2)
                            temp.drawImage(end2, 0, 0);
                        else if (tiles[i][k].getDirection() == 3)
                            temp.drawImage(end3, 0, 0);
                    }
                    pic.drawImage(temp, 62 + k * 30, 20 + i * 30);
                }
                else if (tiles[i][k].hasBlock())
                    pic.drawImage(block, 62 + k * 30, 20 + i * 30);
        if (!menu)
        {
            if (!bonusGame)
            {
                pic.setColor(Color.GRAY);
                pic.fillRect(15, 75, 30, 150);
                for (int i = 0; i < q.size(); i++)
                {
                    if (((Tile)q.peek()).getID() == 0)
                    {
                        pic.drawImage(h, 15, 195 - i * 30);
                        if (((Tile)q.peek()).getDirection() == 3)
                            pic.drawImage(hLEFT, 15, 195 - i * 30);
                        else if (((Tile)q.peek()).getDirection() == 1)
                            pic.drawImage(hRIGHT, 15, 195 - i * 30);
                    }
                    else if (((Tile)q.peek()).getID() == 1)
                    {
                        pic.drawImage(v, 15, 195 - i * 30);
                        if (((Tile)q.peek()).getDirection() == 0)
                            pic.drawImage(vUP, 15, 195 - i * 30);
                        else if (((Tile)q.peek()).getDirection() == 2)
                            pic.drawImage(vDOWN, 15, 195 - i * 30);
                    }
                    else if (((Tile)q.peek()).getID() == 2)
                    {
                        pic.drawImage(turn0, 15, 195 - i * 30);
                        if (((Tile)q.peek()).getDirection() == 1)
                            pic.drawImage(right0, 15, 195 - i * 30);
                        else if (((Tile)q.peek()).getDirection() == 2)
                            pic.drawImage(down0, 15, 195 - i * 30);
                    }
                    else if (((Tile)q.peek()).getID() == 3)
                    {
                        pic.drawImage(turn1, 15, 195 - i * 30);
                        if (((Tile)q.peek()).getDirection() == 3)
                            pic.drawImage(left1, 15, 195 - i * 30);
                        else if (((Tile)q.peek()).getDirection() == 2)
                            pic.drawImage(down1, 15, 195 - i * 30);
                    }
                    else if (((Tile)q.peek()).getID() == 4)
                    {
                        pic.drawImage(turn2, 15, 195 - i * 30);
                        if (((Tile)q.peek()).getDirection() == 0)
                            pic.drawImage(up2, 15, 195 - i * 30);
                        else if (((Tile)q.peek()).getDirection() == 3)
                            pic.drawImage(left2, 15, 195 - i * 30);
                    }
                    else if (((Tile)q.peek()).getID() == 5)
                    {
                        pic.drawImage(turn3, 15, 195 - i * 30);
                        if (((Tile)q.peek()).getDirection() == 1)
                            pic.drawImage(right3, 15, 195 - i * 30);
                        else if (((Tile)q.peek()).getDirection() == 0)
                            pic.drawImage(up3, 15, 195 - i * 30);
                    }
                    else if (((Tile)q.peek()).getID() == 6)
                        pic.drawImage(cross, 15, 195 - i * 30);
                    q.offer(q.poll());
                }
                pic.drawImage(shadow, 15, 75);
            }
            pic.setColor(Color.BLACK);
            pic.drawString((lost && !won ? "Final " : "") + "Score: " + score + "     " + (bonusGame ? "Bonus Level" : "Level " + (level + 1)), 2, 13);
        }
        if (won)
        {
            if (Greenfoot.mouseClicked(btnNext) && trigger == 50)
            {
                level++;
                if (level == 12)
                {
                    loadBonusGame();
                    bonusGame = true;
                    if (CodeGenerator.haveUser())
                    {
                        getWorld().removeObjects(getWorld().getObjects(CodeDisplay.class));
                        getWorld().addObject(new CodeDisplay(CODE_ID), 231, 6);
                    }
                }
                else
                    loadLevel();
                getWorld().removeObject(btnNext);
            }
        }
        else if (!lost)
        {
            if (Greenfoot.isKeyDown("f") && !menu)
                if (fast == .1f)
                    fast = 2;
                else
                    fast += .3f;
            if (menu && step > -1)
                fast += .1f;
            if (Greenfoot.mousePressed(this))
                if (mouse.getX() > 62 && mouse.getY() > 20 && mouse.getX() < 362 && mouse.getY() < 230 && !menu)
                {
                    Tile t = tiles[((mouse.getY() - 20) - (mouse.getY() - 20) % 30) / 30][((mouse.getX() - 62) - (mouse.getX() - 62) % 30) / 30];
                    if (bonusGame && t.getClosed().equals("") && (!(((mouse.getY() - 20) - (mouse.getY() - 20) % 30) / 30 == y && ((mouse.getX() - 62) - (mouse.getX() - 62) % 30) / 30 == x) || step < 0))
                    {
                        int xx = ((mouse.getX() - 62) - (mouse.getX() - 62) % 30) / 30;
                        int yy = ((mouse.getY() - 20) - (mouse.getY() - 20) % 30) / 30;
                        String tunnel = t.getTunnels();
                        t.removeTunnels();
                        if (xx > 0 && tiles[yy][xx - 1].isEmpty())
                        {
                            String tunnel2 = tiles[yy][xx - 1].getTunnels();
                            tiles[yy][xx - 1] = tiles[yy][xx];
                            tiles[yy][xx - 1].addTunnels(tunnel2);
                            tiles[yy][xx] = new Tile();
                            if (xx == x && yy == y)
                                x--;
                        }
                        else if (xx < 9 && tiles[yy][xx + 1].isEmpty())
                        {
                            String tunnel2 = tiles[yy][xx + 1].getTunnels();
                            tiles[yy][xx + 1] = tiles[yy][xx];
                            tiles[yy][xx + 1].addTunnels(tunnel2);
                            tiles[yy][xx] = new Tile();
                            if (xx == x && yy == y)
                                x++;
                        }
                        else if (yy > 0 && tiles[yy - 1][xx].isEmpty())
                        {
                            String tunnel2 = tiles[yy - 1][xx].getTunnels();
                            tiles[yy - 1][xx] = tiles[yy][xx];
                            tiles[yy - 1][xx].addTunnels(tunnel2);
                            tiles[yy][xx] = new Tile();
                            if (xx == x && yy == y)
                                y--;
                        }
                        else if (yy < 6 && tiles[yy + 1][xx].isEmpty())
                        {
                            String tunnel2 = tiles[yy + 1][xx].getTunnels();
                            tiles[yy + 1][xx] = tiles[yy][xx];
                            tiles[yy + 1][xx].addTunnels(tunnel2);
                            tiles[yy][xx] = new Tile();
                            if (xx == x && yy == y)
                                y++;
                        }
                        tiles[yy][xx].addTunnels(tunnel);
                    }
                    else if (!t.hasBlock() && t.getID() < 7 && !t.hasBonus())
                        if (t.isEmpty() || (t.getID() > -1 && t.getClosed().equals("")) && !(((mouse.getY() - 20) - (mouse.getY() - 20) % 30) / 30 == y && ((mouse.getX() - 62) - (mouse.getX() - 62) % 30) / 30 == x))
                        {
                            if (!t.isEmpty())
                                score -= 50;
                            Tile nextT = (Tile)q.poll();
                            t.setID(nextT.getID());
                            t.setDirection(nextT.getDirection());
                            Tile newTile = new Tile(Greenfoot.getRandomNumber(7));
                            if (level > 5 && Greenfoot.getRandomNumber(4) == 1 && newTile.getID() != 6)
                                newTile.giveDirection(Greenfoot.getRandomNumber(2));
                            q.offer(newTile);
                        }
                }
            step += fast;
            if ((step >= 84 && tiles[y][x].getID() < 7) || (step >= 174 && tiles[y][x].getID() > 6))
            {
                Tile old = tiles[y][x];
                old.close(direction);
                if (old.getID() > -1)
                {
                    if (count > 0)
                    {
                        if (old.getID() > 6 || old.hasBonus())
                            score += 500 * (fast == 1 ? 1 : 2);
                        else
                            score += 50 *(fast == 1 ? 1 : 2);
                    }
                    else
                    {
                        if (old.getID() > 6 || old.hasBonus())
                            score += 1000 * (fast == 1 ? 1 : 2);
                        else
                            score += 100 * (fast == 1 ? 1 : 2);
                    }
                    if (old.getID() == 6 && old.getClosed().length() == 2)
                    {
                        score += 500;
                        crossed++;
                        if (crossed == 5)
                            score += 10000;
                    }
                    count--;
                }
                if (old.getID() == 2)
                {
                    if (direction == 1)
                        direction = 0;
                    else
                        direction = 3;
                }
                else if (old.getID() == 3)
                {
                    if (direction == 3)
                        direction = 0;
                    else
                        direction = 1;
                }
                else if (old.getID() == 4)
                {
                    if (direction == 3)
                        direction = 2;
                    else
                        direction = 1;
                }
                else if (old.getID() == 5)
                {
                    if (direction == 0)
                        direction = 3;
                    else
                        direction = 2;
                }
                if (direction == 0)
                {
                    y--;
                    if (y < 0)
                        if (old.getTunnels().contains("n"))
                            y = 6;
                        else
                            lost = true;
                    if (!lost && (tiles[y][x].getClosed().contains("v") || tiles[y][x].getID() == 0 || tiles[y][x].getID() == 2 || tiles[y][x].getID() == 3 || tiles[y][x].getID() == 7))
                        lost = true;
                }
                else if (direction == 1)
                {
                    x++;
                    if (x > 9)
                        if (old.getTunnels().contains("e"))
                            x = 0;
                        else
                            lost = true;
                    if (!lost && (tiles[y][x].getClosed().contains("h") || tiles[y][x].getID() == 1 || tiles[y][x].getID() == 3 || tiles[y][x].getID() == 4 || tiles[y][x].getID() == 8))
                        lost = true;
                }
                else if (direction == 2)
                {
                    y++;
                    if (y > 6)
                        if (old.getTunnels().contains("s"))
                            y = 0;
                        else
                            lost = true;
                    if (!lost && (tiles[y][x].getClosed().contains("v") || tiles[y][x].getID() == 0 || tiles[y][x].getID() == 4 || tiles[y][x].getID() == 5 || tiles[y][x].getID() == 7))
                        lost = true;
                }
                else
                {
                    x--;
                    if (x < 0)
                        if (old.getTunnels().contains("w"))
                            x = 9;
                        else
                            lost = true;
                    if (!lost && (tiles[y][x].getClosed().contains("h") || tiles[y][x].getID() == 1 || tiles[y][x].getID() == 2 || tiles[y][x].getID() == 5 || tiles[y][x].getID() == 8))
                        lost = true;
                }
                if (!lost && (tiles[y][x].isEmpty() || tiles[y][x].hasBlock() || (tiles[y][x].getDirection() != -1 && tiles[y][x].getDirection() != direction) || (end == tiles[y][x] && count > 0)))
                    lost = true;
                if (count < 1 && ((lost && end == null) || (!lost && end == tiles[y][x] && end.getDirection() == direction)))
                {
                    if (end != null)
                        score += 1000;
                    won = true;
                    if (!menu)
                        if (bonusGame)
                            getWorld().addObject(btnMenu, 327, 10);
                        else
                            getWorld().addObject(btnNext, 327, 10);
                }
                else if (lost)
                    getWorld().addObject(btnMenu, 327, 10);
                step = 0;
            }
        }
        else
        {
            if ((1 - ((float)(c - (float)s / 60f) / (float)start)) < 1 || step < 150)
                step += 3;
            GreenfootImage flood = new GreenfootImage(364, 232);
            flood.setColor(Color.GREEN);
            flood.fill();
            int st = step;
            if (st > 255 - 60)
                st = 225;
            flood.setTransparency(st / 2);
            GreenfootImage t = new GreenfootImage(pic);
            pic = new GreenfootImage(364, 232);
            pic.drawImage(flood, 0, 0);
            pic.drawImage(t, 0, 0);
            if (Greenfoot.mouseClicked(btnMenu) && trigger == 50)
            {
                loadMenu();
                bonusGame = false;
                menu = true;
                getWorld().removeObject(btnMenu);
                getWorld().addObject(btnNew, 181, 66);
            }
        }
        if ((won || lost) && bonusGame)
            trigger = 50;
        if ((won || lost) && trigger != 50)
        {
            trigger--;
            if (trigger == 0)
            {
                while (trigY < tiles.length && trigX < tiles[0].length && (tiles[trigY][trigX].isEmpty() || tiles[trigY][trigX].hasBlock() || tiles[trigY][trigX].getClosed().length() > 0 || tiles[trigY][trigX].getID() > 6 || tiles[trigY][trigX].hasBonus()))
                {
                    trigX++;
                    if (trigX == tiles[0].length)
                    {
                        trigY++;
                        trigX = 0;
                    }
                }
                if (trigY > tiles.length - 1)
                    trigger = 50; // stop
            }
            else if (trigger == -25)
            {
                tiles[trigY][trigX].setEmpty();
                score -= 100;
                trigger = 1;
            }
        }
        if (Greenfoot.mouseClicked(btnNew))
        {
            menu = false;
            level = 0;
            score = 0;
            loadLevel();
            getWorld().removeObject(btnNew);
        }
        if (Greenfoot.mouseClicked(this) && menu && mouse.getX() > 242 && mouse.getX() < 272 && mouse.getY() > 80 && mouse.getY() < 110 && count == 34)
        {
            menu = false;
            getWorld().removeObject(btnNew);
            loadBonusGame();
            score = 0;
            bonusGame = true;
        }
        if (menu && count == 0)
        {
            loadMenu();
            step = -150;
        }
        setImage(pic);
    }
    public Button getBtnNew()
    {
        return btnNew;
    }
}